com.aliyun.svideosdk.common.struct.project

## Class SubTitleTrack

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.PasterTrack
    - - com.aliyun.svideosdk.common.struct.project.PhotoPasterTrack
      - - com.aliyun.svideosdk.common.struct.project.SubTitleTrack

- Direct Known Subclasses:
    BubbleCaptionTrack

      public class SubTitleTrack
      extends PhotoPasterTrack

  字幕 v3.23.0 新增

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.PasterTrack

      `PasterTrack.Type`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.project.PhotoPasterTrack

      `mNodeKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubTitleTrack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Source` | `getBackgroundImgPath()` 获取背景图片资源
    `Source` | `getFont()` 获取字体资源
    `float` | `getPreBegin()` 获取配置文件中默认文字在视频时间轴上的的开始时间
    `float` | `getPreEnd()` 获取配置文件中默认文字在视频时间轴上的结束时间
    `java.lang.String` | `getText()` 获取文字内容
    `int` | `getTextAlignment()` 获取文字对齐方式
    `int` | `getTextBackgroundColor()` 获取文字背景颜色
    `java.lang.String` | `getTextBmpPath()` 设置文字view生成的图片的路径
    `int` | `getTextColor()` 获取文字颜色
    `float` | `getTextHeight()` 获取文字高度
    `int` | `getTextMaxLines()` 获取文字最大行数
    `float` | `getTextPaddingX()` 获取文字左边距
    `float` | `getTextPaddingY()` 获取文字上边距
    `float` | `getTextRotation()` 获取文字的旋转角度
    `float` | `getTextSize()` 获取字号
    `int` | `getTextStrokeColor()` 获取文字描边的颜色
    `float` | `getTextWidth()` 文字宽度
    `void` | `setBackgroundImgPath(Source backgroundImgPath)` 设置背景图片资源
    `void` | `setFont(Source font)` 设置字体资源
    `void` | `setPreBegin(float preBegin)` Sets the preset time when the text appears on the stream timeline.
    `void` | `setPreEnd(float preEnd)` Sets the preset time when the text disappears on the stream timeline.
    `void` | `setText(java.lang.String text)` 设置文字内容
    `void` | `setTextAlignment(int textAlignment)` 设置文字对齐方式
    `void` | `setTextBackgroundColor(int textBackgroundColor)` 设置文字背景颜色
    `void` | `setTextBmpPath(java.lang.String textBmpPath)` 设置文字view生成的图片的路径
    `void` | `setTextColor(int textColor)` 设置文字颜色
    `void` | `setTextHeight(float textHeight)` 设置文字高度
    `void` | `setTextMaxLines(int textMaxLines)` 设置文字最大行数
    `void` | `setTextPaddingX(float textPaddingX)` 设置文字左边距
    `void` | `setTextPaddingY(float textPaddingY)` 设置文字上边距
    `void` | `setTextRotation(float textRotation)` 设置文字的旋转角度
    `void` | `setTextSize(float textSize)` 设置字号
    `void` | `setTextStrokeColor(int textStrokeColor)` 设置文字描边的颜色
    `void` | `setTextWidth(float textWidth)` 设置文字宽度

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.PhotoPasterTrack

      `getActions, getFrameArray, getHeight, getName, getNodeKey, getRotation, getSource, getTimeArray, getTimelineIn, getTimelineOut, getWidth, getX, getY, isMirror, setFrameArray, setHeight, setMirror, setName, setNodeKey, setRotation, setSource, setTimeArray, setTimelineIn, setTimelineOut, setWidth, setX, setY, toString`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.PasterTrack

      `getType, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubTitleTrack

          public SubTitleTrack()

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      获取文字内容
      Returns:
        文字内容

    - #### setText

          public void setText(java.lang.String text)

      设置文字内容
      Parameters:
        `text` - 文字内容

    - #### getTextColor

          public int getTextColor()

      获取文字颜色
      Returns:
        文字颜色

    - #### setTextColor

          public void setTextColor(int textColor)

      设置文字颜色
      Parameters:
        `textColor` - 文字颜色

    - #### getTextStrokeColor

          public int getTextStrokeColor()

      获取文字描边的颜色
      Returns:
        文字描边的颜色

    - #### setTextStrokeColor

          public void setTextStrokeColor(int textStrokeColor)

      设置文字描边的颜色
      Parameters:
        `textStrokeColor` - 文字描边的颜色

    - #### getFont

          public Source getFont()

      获取字体资源
      Returns:
        字体资源

    - #### setFont

          public void setFont(Source font)

      设置字体资源
      Parameters:
        `font` - 字体资源

    - #### getTextBmpPath

          public java.lang.String getTextBmpPath()

      设置文字view生成的图片的路径
      Returns:
        文字图片的路径

    - #### setTextBmpPath

          public void setTextBmpPath(java.lang.String textBmpPath)

      设置文字view生成的图片的路径
      Parameters:
        `textBmpPath` - 文字view生成的图片的路径

    - #### getTextWidth

          public float getTextWidth()

      文字宽度
      Returns:
        文字宽度

    - #### setTextWidth

          public void setTextWidth(float textWidth)

      设置文字宽度
      Parameters:
        `textWidth` - 文字宽度

    - #### getTextHeight

          public float getTextHeight()

      获取文字高度
      Returns:
        文字高度

    - #### setTextHeight

          public void setTextHeight(float textHeight)

      设置文字高度
      Parameters:
        `textHeight` - 文字高度

    - #### getTextBackgroundColor

          public int getTextBackgroundColor()

      获取文字背景颜色
      Returns:
        文字背景颜色

    - #### setTextBackgroundColor

          public void setTextBackgroundColor(int textBackgroundColor)

      设置文字背景颜色
      Parameters:
        `textBackgroundColor` - 文字背景颜色

    - #### getBackgroundImgPath

          public Source getBackgroundImgPath()

      获取背景图片资源
      Returns:
        背景图片资源

    - #### setBackgroundImgPath

          public void setBackgroundImgPath(Source backgroundImgPath)

      设置背景图片资源
      Parameters:
        `backgroundImgPath` - 背景图片资源

    - #### getTextSize

          public float getTextSize()

      获取字号
      Returns:
        字号

    - #### setTextSize

          public void setTextSize(float textSize)

      设置字号
      Parameters:
        `textSize` - 字号

    - #### getTextPaddingX

          public float getTextPaddingX()

      获取文字左边距
      Returns:
        文字左边距

    - #### setTextPaddingX

          public void setTextPaddingX(float textPaddingX)

      设置文字左边距
      Parameters:
        `textPaddingX` - 文字左边距

    - #### getTextPaddingY

          public float getTextPaddingY()

      获取文字上边距
      Returns:
        文字上边距

    - #### setTextPaddingY

          public void setTextPaddingY(float textPaddingY)

      设置文字上边距
      Parameters:
        `textPaddingY` - 文字上边距

    - #### getTextAlignment

          public int getTextAlignment()

      获取文字对齐方式
      Returns:
        文字对齐方式

    - #### setTextAlignment

          public void setTextAlignment(int textAlignment)

      设置文字对齐方式
      Parameters:
        `textAlignment` - 文字对齐方式

    - #### getTextMaxLines

          public int getTextMaxLines()

      获取文字最大行数
      Returns:
        文字最大行数

    - #### setTextMaxLines

          public void setTextMaxLines(int textMaxLines)

      设置文字最大行数
      Parameters:
        `textMaxLines` - 文字最大行数

    - #### getTextRotation

          public float getTextRotation()

      获取文字的旋转角度
      Returns:
        文字的旋转角度

    - #### setTextRotation

          public void setTextRotation(float textRotation)

      设置文字的旋转角度
      Parameters:
        `textRotation` - 文字的旋转角度

    - #### getPreBegin

          public float getPreBegin()

      获取配置文件中默认文字在视频时间轴上的的开始时间
      Returns:
        文字在视频时间轴上的的开始时间

    - #### setPreBegin

          public void setPreBegin(float preBegin)

      Sets the preset time when the text appears on the stream timeline. This setting is configured in the configuration file.
      Parameters:
        `preBegin` - time

    - #### getPreEnd

          public float getPreEnd()

      获取配置文件中默认文字在视频时间轴上的结束时间
      Returns:
        文字在视频时间轴上的结束时间

    - #### setPreEnd

          public void setPreEnd(float preEnd)

      Sets the preset time when the text disappears on the stream timeline. This setting is configured in the configuration file.
      Parameters:
        `preEnd` - time